
--
--作成者      :bae, joongjin
--作成日      :2006/03/27 (月) 11:54:25
--対象DBMS    :Oracle 10g
--

-- 
-- TABLE: DBMESSAGES
--

drop table DBMESSAGES;

CREATE TABLE DBMESSAGES (
       ID             SMALLINT  NOT NULL,
       CODE           VARCHAR(32)  NOT NULL,
       LANGUAGES      VARCHAR(32),
       CONTRY         VARCHAR(32),
       VARIANT        VARCHAR(32),
       MESSAGE        VARCHAR(256)
);

ALTER TABLE DBMESSAGES ADD 
    CONSTRAINT FUNC_RICH_PK1 PRIMARY KEY (ID)
;

COMMIT;
